@charset "utf-8";
/* CSS Document */

/* ----------------------------------------------------------------------------- *
 *                        Template Modules by A-KRUEGER                          *
 * ----------------------------------------------------------------------------- */

*, *:before, *:after {
    -webkit-box-sizing: border-box;
    -moz-box-sizing: border-box;
    box-sizing: border-box;
	margin: 0;
  	padding: 0;
}

.noSelect {
    -webkit-tap-highlight-color: transparent; /* verhindert auf touch-screen den blauen Hintergrund*/
	-webkit-touch-callout: none;
	-webkit-user-select: none;
	-khtml-user-select: none;
	-moz-user-select: none;
	-ms-user-select: none;
	user-select: none;
}
.noSelect:focus {
    outline: none !important;
}

/* ----------------------------------------------------------------------------- *
 *                                 Generalités                                   *
 * ----------------------------------------------------------------------------- */

html {
	margin: 0 auto;
	width: 100%;
	height: 100%;
	}
	
body {
	margin: 0 auto;
	width: 100%;
	height: 100%;
	background-color: var(--accent-light);
	}

main {
	margin: 0 auto;
	width: 100%;
	height: auto;
	}

section {
	margin: 0 auto;
	width: 100%;
	height: auto;
	}

/* ----------------------------------------------------------------------------- *
 *                                    Images                                     *
 * ----------------------------------------------------------------------------- */

img {
	margin: 0 auto;
	padding: 0;
	max-width: 100%;
	height: auto;
	object-fit: cover;
}
.aspect-ratio_16-9 {aspect-ratio: 16/9;}
.aspect-ratio_16-6 {aspect-ratio: 16/6;}
.aspect-ratio_5-3 {aspect-ratio: 5/3;}
.aspect-ratio_1-1 {aspect-ratio: 1/1;}


.limiter_1024 {
	margin: 0 auto;
	max-width: 1024px;
	}

.limiter_800 {
	margin: 0 auto;
	max-width: 800px;
	}

.limiter_600 {
	margin: 0 auto;
	max-width: 600px;
	}

.limiter_400 {
	margin: 0 auto;
	max-width: 400px;
	}

.top_0 {
	margin-top: 0;
	}
	
.top_25 {
	margin-top: 25px;
	}

.top_50 {
	margin-top: 50px;
	}

.top_100 {
	margin-top: 100px;
	}

.top_150 {
	margin-top: 150px;
	}

.bottom_25 {
	margin-bottom: 25px;
	}
.bottom_100 {
	margin-bottom: 100px;
	}

.border_555 {border: 1px solid #555;}
.border_left_555 {border-left: 1px solid #555;}
.border_right_555 {border-right: 1px solid #555;}

.sign-before::before {
  content:'\00A0→';
}

.sign-after::after {
  content:'\00A0→';
}

.center {text-align: center;}
.justify {text-align: justify;}
.right {text-align: right; padding-right: 20px;}

.line {
	width: 0px;
	height: 1px;
	background: #ddd;
	margin: auto;
	margin-bottom: 12px;
	margin-top: 18px;
}

.horizontal-line {
  overflow: hidden;
  text-align: center;
}

.horizontal-line:before,
.horizontal-line:after {
  background-color: #555;
  content: "";
  display: inline-block;
  height: 1px;
  position: relative;
  vertical-align: middle;
  width: 50%;
}

.horizontal-line:before {
  right: 0.5em;
  margin-left: -50%;
}

.horizontal-line:after {
  left: 0.5em;
  margin-right: -50%;
}


/* ----------------------------------------------------------------------------- *
 *                                 Flexboxes                                     *
 * ----------------------------------------------------------------------------- */

.flex-container-row {
	margin: 0 auto;
	width: 100%;
	display: -webkit-flex;
	display: -ms-flexbox;
	display: flex;
	flex-direction: row;
	flex-wrap: wrap;
    align-items: stretch;
	}

.flex-container-column {
	margin: 0 auto;
	width: 100%;
	display: -webkit-flex;
	display: -ms-flexbox;
	display: flex;
	flex-direction: column;
	}

.flex-container-box {
    margin: 1px;
	margin: 0 auto;
	padding-left: 5px;
	padding-right: 5px;
}	

.flex-item-box {
	min-height: 200px;
	margin-top: 20px;
	padding-bottom: 10px;
	padding-left: 10px;
	padding-right: 10px;
	position: relative;
	}

.flex-item-1 {
	flex: 1;
	display: inherit;
	margin: 5px;
	min-height: 100px;
	}
.flex-item-2 {
	flex: 2;
	display: inherit;
	margin: 5px;
	min-height: 100px;
	}
.flex-item-3 {
	margin: 5px;
	padding: 0;
	flex: 3;
	display: inherit;
	min-height: 100px;
	}
.flex-item-4 {
	margin: 5px;
	padding: 0;
	flex: 4;
	display: inherit;
	min-height: 100px;
	}

.order-1 {
	order: 1;
	}

.order-2 {
	order: 2;
	}

/*Flex-container : align-items: flex-start | flex-end | center | baseline | stretch;*/

.align-items-start {
  align-items: flex-start;
}
.align-items-end {
  align-items: flex-end;
}
.align-items-center {
  align-items: center;
}
.align-items-baseline {
  align-items: baseline;
}
.align-items-stretch {
  align-items: stretch;
}

/*justify-content: flex-start | flex-end | center | space-between | space-around;*/

.justify-start {
  justify-content: flex-start;
}
.justify-end {
  justify-content: flex-end;
}
.justify-center {
  justify-content: center;
}
.justify-space-between {
  justify-content: space-between;
}
.justify-space-around {
  justify-content: space-around;
}

/*align-content: flex-start | flex-end | center | space-between | space-around | stretch;*/
.align-content-start {
  align-content: flex-start;
}
.align-content-end {
  align-content: flex-end;
}
.align-content-center {
  align-content: center;
}
.align-content-space-between {
  align-content: space-between;
}
.align-content-space-around {
  align-content: space-around;
}
.align-content-stretch {
  align-content: stretch;
}

/*--------------------------------------------ITEM Styles--------------------------------------------*/
	
/*Item: align-self: auto | flex-start | flex-end | center | baseline | stretch;*/

.align-self-auto {
  align-self: auto;
}
.align-self-start {
  align-self: flex-start;
}
.align-self-end {
  align-self: flex-end;
}
.align-self-center {
  align-self: center;
}
.align-self-baseline {
  align-self: baseline;
}
.align-self-stretch {
  align-self: stretch;
}

/* ----------------------------------------------------------------------------- *
 *                   Artikel-boxen mit last item unten fixiert                   *
 * ----------------------------------------------------------------------------- */
.stretch-container {
	display: flex;
	flex-direction: column;
	min-height: 200px;
	max-width: 100%;
	margin: 0 auto;
	margin: 10px;
	background-color: none;
	border: 0.5px solid #f2f2f2;
}

.stretch-last-item {
	margin-top:auto;
	background-color: none;
}


